﻿using System;
using System.Threading;

namespace TestWorker
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 난수기
        /// </summary>
        private static Random _random = new Random();

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 스레드 처리하기 - ProcessThread()

        /// <summary>
        /// 스레드 처리하기
        /// </summary>
        public static void ProcessThread()
        {
            long number = 0;

            while(true)
            {
                number += _random.Next(100, 1000);

                if(number > 1000000)
                {
                    number = 0;
                }
            }
        }

        #endregion
        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            int processorCount = Environment.ProcessorCount;

            for(int i = 0; i < processorCount; i++)
            {
                Thread thread = new Thread(() => { ProcessThread(); });

                thread.Start();
            }
        }

        #endregion
    }
}